
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅析js中的浮点型运算问题 / iVAN</title>

    <meta name="description" content="浅析js中的浮点型运算问题  本篇文章主要是对js中浮点型运算的问题进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 js中浮点型是如何运算的呢?   例如:var a=0.69;   我想得到6.9 直接这样写 var c=a*10;   alert(c);   得到结果是:6.8999999999999995   到网上一搜,有网友说这是一个JS浮点数运算Bug,找了解决方法:   方法一:有js自定义函数 代码如下: &lt;script&gt;   //加法函数,用来得到精确的加法结果  //说明:java ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅析js中的浮点型运算问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 本篇文章主要是对js中浮点型运算的问题进行了介绍，需要的朋友可以过来参考下，希望对大家有所帮助</p>
<p>js中浮点型是如何运算的呢？<br />
 <br />
例如：var a=0.69;<br />
 <br />
我想得到6.9 直接这样写 var c=a*10;<br />
 <br />
alert(c);   得到结果是：6.8999999999999995<br />
 <br />
到网上一搜，有网友说这是一个JS浮点数运算Bug,找了解决方法：<br />
 <br />
方法一：有js自定义函数<br />
代码如下:<br />
&lt;script&gt;<br />
 <br />
//加法函数，用来得到精确的加法结果 <br />
//说明：javascript的加法结果会有误差，在两个浮点数相加的时候会比较明显。这个函数返回较为精确的加法结果。 <br />
//调用：accAdd(arg1,arg2) <br />
//返回值：arg1加上arg2的精确结果 <br />
function accAdd(arg1,arg2){ <br />
var r1,r2,m; <br />
try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0} <br />
try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0} <br />
m=Math.pow(10,Math.max(r1,r2)) <br />
return (arg1*m+arg2*m)/m <br />
} <br />
//给Number类型增加一个add方法，调用起来更加方便。 <br />
Number.prototype.add = function (arg){ <br />
return accAdd(arg,this); <br />
}<br />
 <br />
//加法函数，用来得到精确的加法结果 <br />
//说明：javascript的加法结果会有误差，在两个浮点数相加的时候会比较明显。这个函数返回较为精确的加法结果。 <br />
//调用：accAdd(arg1,arg2) <br />
//返回值：arg1加上arg2的精确结果 <br />
function accSub(arg1,arg2){<br />
    var r1,r2,m,n;<br />
    try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}<br />
    try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}<br />
    m=Math.pow(10,Math.max(r1,r2));<br />
    //last modify by deeka<br />
    //动态控制精度长度<br />
    n=(r1&gt;=r2)?r1:r2;<br />
    return ((arg1*m-arg2*m)/m).toFixed(n);<br />
}<br />
 <br />
//除法函数，用来得到精确的除法结果 <br />
//说明：javascript的除法结果会有误差，在两个浮点数相除的时候会比较明显。这个函数返回较为精确的除法结果。 <br />
//调用：accDiv(arg1,arg2) <br />
//返回值：arg1除以arg2的精确结果 <br />
function accDiv(arg1,arg2){ <br />
var t1=0,t2=0,r1,r2; <br />
try{t1=arg1.toString().split(".")[1].length}catch(e){} <br />
try{t2=arg2.toString().split(".")[1].length}catch(e){} <br />
with(Math){ <br />
r1=Number(arg1.toString().replace(".","")) <br />
r2=Number(arg2.toString().replace(".","")) <br />
return (r1/r2)*pow(10,t2-t1); <br />
} <br />
} <br />
//给Number类型增加一个div方法，调用起来更加方便。 <br />
Number.prototype.div = function (arg){ <br />
return accDiv(this, arg); <br />
} <br />
 <br />
//乘法函数，用来得到精确的乘法结果 <br />
//说明：javascript的乘法结果会有误差，在两个浮点数相乘的时候会比较明显。这个函数返回较为精确的乘法结果。 <br />
//调用：accMul(arg1,arg2) <br />
//返回值：arg1乘以arg2的精确结果 <br />
function accMul(arg1,arg2) <br />
{ <br />
var m=0,s1=arg1.toString(),s2=arg2.toString(); <br />
try{m+=s1.split(".")[1].length}catch(e){} <br />
try{m+=s2.split(".")[1].length}catch(e){} <br />
return Number(s1.replace(".",""))*Number(s2.replace(".",""))/Math.pow(10,m) <br />
} <br />
//给Number类型增加一个mul方法，调用起来更加方便。 <br />
Number.prototype.mul = function (arg){ <br />
return accMul(arg, this); <br />
} <br />
 <br />
var a=0.69;<br />
var b=10;<br />
alert(a*b);//6.8999999999999995<br />
alert((a*100)/10);<br />
&lt;/script&gt;<br />
 <br />
 <br />
直接调用函数就可以。<br />
 <br />
方法二：如果在知道小数位个数的前提下，可以考虑通过将浮点数放大倍数到整型(最后再除以相应倍数)，再进行运算操作，这样就能得到正确的结果了<br />
 <br />
alert(11*22.9);//得到251.89999999999998<br />
alert(11*(22.9*10)/10);//得到251.9<br />
 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:06:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/tostring/" title="tostring">tostring</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%9c/" title="结果">结果</a>, <a href="https://www.iamivan.net/tag/number/" title="number">number</a>, <a href="https://www.iamivan.net/tag/js%e6%b5%ae%e7%82%b9%e6%95%b0%e8%bf%90%e7%ae%97bug/" title="js浮点数运算bug">js浮点数运算bug</a>, <a href="https://www.iamivan.net/tag/js%e6%b5%ae%e7%82%b9%e6%95%b0%e8%bf%90%e7%ae%97/" title="js浮点数运算">js浮点数运算</a>, <a href="https://www.iamivan.net/tag/args/" title="args">args</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e6%b3%95/" title="加法">加法</a>, <a href="https://www.iamivan.net/tag/%e6%b5%ae%e7%82%b9%e6%95%b0%e4%b9%98%e6%b3%95/" title="浮点数乘法">浮点数乘法</a>, <a href="https://www.iamivan.net/tag/%e7%b2%be%e7%a1%ae/" title="精确">精确</a>, <a href="https://www.iamivan.net/tag/js%e5%9b%9b%e5%88%99%e8%bf%90%e7%ae%97/" title="js四则运算">js四则运算</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e7%b2%be%e5%ba%a6%e5%8a%a0%e6%b3%95/" title="高精度加法">高精度加法</a>, <a href="https://www.iamivan.net/tag/arge/" title="arge">arge</a>, <a href="https://www.iamivan.net/tag/r-2r/" title="r-2r">r-2r</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅析js中的浮点型运算问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK6PKM.html" rel="bookmark">浅析js中的浮点型运算问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js中浮点型是如何运算的呢? 例如:var a=0.69; 我想得到6.9 直接这样写 var c=a*10; alert(c);   得到结果是:6.8999999999999995 到网上一搜,有网友说这是一个JS浮点数运算Bug,找了解决方法: 方法一:有js自定义函数 复制代码 代码如下: &lt;script&gt; //加法函数,用来得到精确的加法结果 //说明:javascript的加法结果会有误差,在两个浮点数相加的时候会比较明显.这个函数返回较为精确的加法结果. //调用:accAdd(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NA5xb.html" rel="bookmark">浅析JS中对函数function的理解&lpar;基础篇&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正文:我们知道,在js中,函数实际上是一个对象,每个函数都是Function类型的实例,并且都与其他引用类型一样具有属性和方法.因此,函数名实际上是指向函数对象的指针,不与某个函数绑定.在常见的两种定义方式(见下文)之外,还有一种定义的方式能更直观的体现出这个概念: var sum = new Function(&quot;num1&quot;, &quot;num2&quot;, &quot;return num1 + num2&quot;); //不推荐 Function的构造函数可以接收任意数量的参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBW9Vz.html" rel="bookmark">浅析JS中document对象的一些重要属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章主要是对JS中document对象的一些重要属性进行了详细的介绍,需要的朋友可以过来参考下,希望对大家有所帮助 可以通过这些属性访问到页面中的每一个元素和它们的属性,每一个标签都可以通过它们对应的数组去访问他们的属性   一: forms数组对象:代码网页中所有form标签的集合   二: anchors数组对象:指定了网页中所有指定了name或id属性的&lt;a&gt;标签的集合,但不包括指定了href标签的集合   三:links数组对象  指所有指定了href属性的&lt;a&gt;标签的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNaL6p.html" rel="bookmark">浅析js中substring和substr的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.substring 方法:用于提取字符串中介于两个指定下标之间的字符substring(start,end) 开始和结束的位置,从零开始的索引 参数     描述start      必需.一个非负的整数,规定要提取的子串的第一个字符在 stringObject 中的位置. stop      可选.一个非负的整数,比要提取的子串的最后一个字符在 stringObject 中的位置多1.如果省略该参数,那么返回的子串会一直到字符串的结尾. 返回值 一个新的字符串,该字符串值包含 string			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGmLaOM.html" rel="bookmark">深入浅析js中的正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阅读目录 正则表达式的创建 正则表达式中的特殊字符 \ (反斜杠) ^ $ *,  +,  .(小数点) ? (问号) (x) (?:x) x(?=y), x(?!y), x|y {n}, {n,m}: [xyz], [^xyz] 其他 正则表达式标志 正则表达式使用 很多时候多会被正则表达式搞的晕头转向,最近抽出时间对正则表达式进行了系统的学习,整理如下: 正则表达式的创建 两种方法,一种是直接写,由包含在斜杠之间的模式组成:另一种是调用RegExp对象的构造函数. 两种方法的创建代码如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlgeZ8b.html" rel="bookmark">浅析js中setTimeout和setInterval详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大概半年前发表过一篇关于setTimeout和setInterval的文章,但是现在回去仔细一看发现其实存在很多不足以及错误.事实上,setTimeout和setInterval并没有我们字面上理解的那么简单.要真正掌握并理解这两个方法,还得从javascript的单线程机制说起. JS手册»setTimeout() : 用于在指定的毫秒数后调用函数或计算表达式; 英文释义»timeout() : 超时:暂时休息:工间休息; JS手册»setInterval() : 按照指定的周期(以毫秒计)来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwak0M.html" rel="bookmark">浅析JS中document对象的一些重要属性&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可以通过这些属性访问到页面中的每一个元素和它们的属性,每一个标签都可以通过它们对应的数组去访问他们的属性 一: forms数组对象:代码网页中所有form标签的集合 二: anchors数组对象:指定了网页中所有指定了name或id属性的&lt;a&gt;标签的集合,但不包括指定了href标签的集合 三:links数组对象  指所有指定了href属性的&lt;a&gt;标签的集合 四:images数组对象:指定了文档中所有的&lt;img&gt;标签的集合 五:scripts数组对象:代表了文档中所有的&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NwYrp.html" rel="bookmark">浅析Js中的单引号与双引号问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				单引号和双引号其实没啥区别,看你自己习惯了 &lt;input type=&quot;button&quot; onclick=&quot;alert(&quot;1&quot;)&quot;&gt;-------------------不正确&lt;input type=&quot;button&quot; onclick=&quot;alert('1')&quot;&gt;-------------------正确 双引号中再用双引号要这样:var str = &quot;abc\&quot;def\			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QVnmp.html" rel="bookmark">浅析js中2个等号与3个等号的区别&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,== equality 等同,=== identity 恒等. ==, 两边值类型不同的时候,要先进行类型转换,再比较. ===,不做类型转换,类型不同的一定不等. 下面分别说明: 先说 ===,这个比较简单.下面的规则用来判断两个值是否===相等: 1.如果类型不同,就[不相等] 2.如果两个都是数值,并且是同一个值,那么[相等]:(!例外)的是,如果其中至少一个是NaN,那么[不相等].(判断一个值是否是NaN,只能用isNaN()来判断) 3.如果两个都是字符串,每个位置的字符都一样			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAnQXp.html" rel="bookmark" class="title">sql server2000实验</a>
					<div>
						server 今天做sql server 2000的一个实验,比较简单的那种,新建数据库,修改日志文件的大小等等吧,恩,应该还是比较简单的了.下面还是记录一下啦~都这么就没有来过了的. /* **   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ5B7p.html" rel="bookmark" class="title">如何在&period;NET中实现事务&lpar;1&rpar;</a>
					<div>
						如何在.NET中实现事务机制呢? 通常可以使用2种方式: 直接写入到sql 中:使用ADO.NET 实现.下面依次作一下介绍: 方法1:直接写入到sql 中 使用 BEGIN TRANS, COMMI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrxoyz.html" rel="bookmark" class="title">VC&plus;&plus;中如何使用Progress控件</a>
					<div>
						Progress控件能让人们感受到一个应用程序执行的进度,在很多应用程序中都能用到它,但 通常只支持在单任务中,在Windows98/NT中文操作系统下,在VC++6.0环境下,利用线程编制了 一个非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AqYnp.html" rel="bookmark" class="title">浅谈Oracle应用设计</a>
					<div>
						我们通常将最常用的应用分为2种类型:联机事务处理类型(OLTP),决策支持系统(DSS). 一.联机事务处理(OLTP) 该类型的应用是高吞吐量,插入.更新.删除操作比较多的系统,这些系统以不断增长的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNYawM.html" rel="bookmark" class="title">Win7共享文件Everyone用户权限如何删除</a>
					<div>
						  方法如下: 1.右键单击共享的文件夹,选择属性; 2.在属性窗口界面中,切换至&quot;安全&quot;项,点击下面的&quot;编辑&quot;按钮; 3.在权限管理界面中,选择&quot;E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW8Zqp.html" rel="bookmark" class="title">jquery做的一个简单的屏幕锁定提示框</a>
					<div>
						 这篇文章主要介绍了使用jquery做的一个简单的屏幕锁定提示框,需要的朋友可以参考下 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa5P8M.html" rel="bookmark" class="title">win7怎么更换开机动画</a>
					<div>
						  每个用户都会这么觉得,自己的电脑开机画面一成不变,看得都有些腻了.那么在追求个性化的年代里面,怎么让自己的电脑也显得个性十足呢?下面就让小编来给大家说说win7纯净版怎么更换开机动画. 步骤一:在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72lwdp.html" rel="bookmark" class="title">windows-安装ubuntu时D盘（NTFS分区）被识别为swap分区，如何解决？</a>
					<div>
						问题描述 安装ubuntu时D盘(NTFS分区)被识别为swap分区,如何解决? 安装ubuntu时D盘被识别为swap分区,ubuntu安装完成后进入windows发现D盘无法识别.还原的分区表,D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq89Web.html" rel="bookmark" class="title">springmvc-SpringMVC整合hessian客户端出现异常！</a>
					<div>
						问题描述 SpringMVC整合hessian客户端出现异常! 严重: Servlet.service() for servlet spring threw exception com.caucho. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7wBAM.html" rel="bookmark" class="title">Mac OS X版本的sublime text 3安装汇编语言语法支持</a>
					<div>
						sublime是个好东西,小巧.功能强大而且跨平台! 不过默认的语法里没有对asm的支持,这让本猫情何以堪- 下面介绍一下Mac OS X中如何给sublime安装汇编的语法和自动汇编命令补全支持.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPxkAp.html" rel="bookmark" class="title">移动短信网关联通短信网关讨论</a>
					<div>
						问题描述 欢迎加入群125797984讨论移动短信网关和联通短信网关CMPP协议SGIP协议 解决方案 本帖最后由 xinghui100 于 2011-10-20 10:34:39 编辑					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRlLVz.html" rel="bookmark" class="title">rest-springmvc Rest风格参数可能为空时怎么解决</a>
					<div>
						问题描述 springmvc Rest风格参数可能为空时怎么解决 比如有如下的Action方法: @RequestMapping(&quot;&quot;/test/{p1}/{p2}&quot;&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxoa77b.html" rel="bookmark" class="title">iOS免费开发者账号真机调试</a>
					<div>
						亲测可用很久了,总结一下给童鞋用. Xcode -&gt; Preferences Paste_Image.png ￼ 2.选中添加的账号,打开右下角View Details 3.创建调试签名,对iO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kBloM.html" rel="bookmark" class="title">傀儡乎？黑马乎？Uber 新CEO确定 Kalanick回归难度加大</a>
					<div>
						喧嚣许久的Uber新任CEO终于落定,结果出乎意料,之前预备位的三位候选人中,呼声最低的Expedia前任CEO被选中. 硅谷时间8月27日下午,Uber董事会投票选定任命在线旅游公司Expedia  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjmGep.html" rel="bookmark" class="title">奕新集团--RAC环境后续</a>
					<div>
						奕新集团--RAC环境后续 2.重新配置Grid Infrastructure及ASM [python] view plaincopyprint?   1 #重新配置Grid Infrastructu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze68l7b.html" rel="bookmark" class="title">图像编程学习笔记8&mdash;&mdash;图像的平滑&lpar;去噪&rpar;</a>
					<div>
						第一种方法:高斯模版 以下文字内容copy于&lt;&lt;数字图像处理编程入门&gt;&gt;,code为自己实现,是win32控制台程序. 先举个例子说明一下什么是平滑(smoothing),如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRJrOp.html" rel="bookmark" class="title">java-新手求助：sql语句，从多个表中取出最新时间的记录，组成一个新表</a>
					<div>
						问题描述 新手求助:sql语句,从多个表中取出最新时间的记录,组成一个新表 解决方案 mysql的实现: insert into zongbiao(id, name ,vd,co2,wendu,tim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94QKVb.html" rel="bookmark" class="title">curl&colon; &lpar;2&rpar; Failed Initialization报错</a>
					<div>
						curl出现curl: (2) Failed Initialization报错 报错可能是curl出问题了,下载curl包,重新编译curl wget https://curl.haxx.se/dow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm3m6b.html" rel="bookmark" class="title">jQuery检测浏览器信息实现方法</a>
					<div>
						$(document).ready(function() { // target firefox 2 and above if ($.browser.mozilla &amp;&amp; $.brow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqaZ4z.html" rel="bookmark" class="title">《21世纪机器人》&mdash;&mdash;货物搬运工晨明号&colon;重启前1小时</a>
					<div>
						货物搬运工晨明号:重启前1小时 &quot;看那些小家伙跑起来了.&quot; 当晨明号从第5晶圆厂慢慢推出的时候兰德尔说.这是因为余甜给清洗系统下发了命令.小机器人们一拥而上,开始打扫庞大的码头,清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd5V4b.html" rel="bookmark" class="title">全球最易受黑客攻击的国家：中国排第五</a>
					<div>
						据国外媒体报道,信息安全公司Rapid7近期制作了一张名为&quot;易受攻击国家指数&quot;的互联网热区图,公布了最易遭受黑客攻击的国家排名.Rapid7扫描了互联网上所有可访问的服务器. Ra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX05K4p.html" rel="bookmark" class="title">数据洪流驱动人工智能发展</a>
					<div>
						从智能检索.智能游戏到智能机器人,从人机围棋大战到无人驾驶汽车--毫无疑问,人工智能已是当下非常火热的话题.在万物智能互联的新时代,互联的物体越来越多.越来越智能,并由此产生出汹涌而来的数据洪流.作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqlJVb.html" rel="bookmark" class="title">暂时退出比赛</a>
					<div>
						问题描述 最近比较忙,工作上的事情一大堆,在加上比赛,绳梯一直不适,现在是带病上班,带病比赛呀,我现在好好工作了,不比赛了,如有问题者可以晚上QQ密我,白天最好不要打扰我.. 问题补充:谢谢,看到你这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RB3mz.html" rel="bookmark" class="title">地方政府该不该招商引资</a>
					<div>
						近读江苏省委党校冯必扬教授著文&lt;中央应禁止地方政府招商引资&gt;,首发在&lt;中国经济时报&gt;上,人民网理论频道作了转载.显然,地方政府在招商引资中的角色问题再度成为理论界和社会生活中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqBKOb.html" rel="bookmark" class="title">你好！想请将一个关于 detailsview 中dropdownlist绑定的问题</a>
					<div>
						问题描述 前台&lt;asp:TemplateFieldHeaderText=&quot;职务:&quot;HeaderStyle-CssClass=&quot;black11px&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqX1Vp.html" rel="bookmark" class="title">菜鸟向问答&equals; &equals;求教c&num;的excle导入&period;&period;</a>
					<div>
						问题描述 自己想做一个随机点名的窗体需要以导入excle表格的形式获取数据,但是我不会......求教详细教程看了网上很多教程但是我是只大菜鸡一行都看不懂....求傻瓜向的注释...真的是不好意思当伸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jenkz.html" rel="bookmark" class="title">2015年国产手机会超越三星&quest;</a>
					<div>
						每到岁末年初,媒体们都开始了各种靠谱以及不靠谱的预测,套用一句流行语来说,这些预测是拷贝了2014年那些原定于2013年便应该实现的预测. 当然,今天科技大叔免不了俗,也梳理出了自己眼中的2015科技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE5lyp.html" rel="bookmark" class="title">来自国外的页面JavaScript文件优化&lowbar;javascript技巧</a>
					<div>
						The problem: scripts block downloads Let's first take a look at what the problem is with the script  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1vVob.html" rel="bookmark" class="title">Android 应用的欢迎界面实现代码&lowbar;Android</a>
					<div>
						本文详细描述了如何实现如下图中的微信启动界面. 该类启动界面的特点是在整个Application的生命周期里, 它只会出现在第一次进入应用时, 即便按回退键到桌面之后. 使用该类启动界面的应用还有:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8xA0p.html" rel="bookmark" class="title">seo编辑网站如何优化</a>
					<div>
						内容编辑到底应该怎么做呢?我认为: 第一,需要了解网站的定位,客户是谁?只有揣摩客户的心理,找对客户的需求,基本上,网站也就成功了一半. 第二,给自己定位.如果没有压力,网编坚持一段时间之后,也是会懈 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
